repos_exp <-  paste0('/esarchive/scratch/eexarcho/Eleftheria/TRIATLAS/Analysis_a33d_a33e_a33f/',
                       'Data/a33d/tos/', 
                      'tos_Amon_EC-Earth3-CC_historical_S$sdate$_$member$_gr_$chunk$.nc'
				          )
sdates <-  paste0(c(2005:2006), '0501')
exp <- Start(dat = repos_exp,
             var = 'tos',
             member = 'all',
             sdate = sdates,
             chunk = 'all', 
             time = 'all',
             chunk_depends = 'sdate',
             time_across = 'chunk',
             merge_across_dims = TRUE,
             lat = 'all',
             lon = 'all',
             #lat = values(list(20, 30)),
             #lat_reorder = Sort(decreasing = T),
             #lon = values(list(20, 30)),
             #lon_reorder = CircularSort(0, 360),
             #transform = CDORemapper,
             #transform_extra_cells = 2,
             #transform_params = list(grid = 'r360x180',
             #                        method = 'conservative',
             #                        crop = c(20, 30, 20, 30)),
             #transform_vars = c('lat', 'lon'),
             synonims = list(lat = c('lat', 'latitude'),
                             lon = c('lon', 'longitude')),
             return_vars = list(lon = NULL,
                                lat = NULL,
                                time = 'sdate'),
             retrieve = T)
lon <- attributes(exp)$Variables$common$lon
lat <- attributes(exp)$Variables$common$lat
s2dv::PlotEquiMap(exp[1,1,1,1,1,,], lon = lon, lat = lat, filled.continents = F)
